<!-- // <Helpbuttons collaborative network making software>
//     Copyright (C) 2013-2121  Helpbuttons
//
//     This program is free software; you can redistribute it and/or modify
//     it under the terms of the GNU General Public License as published by
//     the Free Software Foundation; either version 3 of the License, or
//     (at your option) any later version.
//
//     This program is distributed in the hope that it will be useful,
//     but WITHOUT ANY WARRANTY; without even the implied warranty of
//     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//     GNU General Public License for more details.
//
//     You should have received a copy of the GNU General Public License along
//     with this program; if not, write to the Free Software Foundation, Inc.,
//     51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
// -->
<span style="display:none;">{{head-title 'Helpbuttons - Búsqueda de Botones en ' buttonNet.name}}</span>
{{#if (is-equal buttonsDisplay "list")}}
  <div class="{{if isSmallDevice "mx-auto"}}col-12 col-lg-8 list">
    {{#each buttonsToShow as |button|}}
      {{#link-to 'button-net.index.index.button' button.id}}
        {{button-card
          button=button
          creator=button.creator
          creatorAvatar=button.creator.avatar
          isList=true
        }}
      {{/link-to}}
    {{else}}
      <!-- {{svg-jar "world" class="index__no-results-icon"}} -->
      <!-- <p class="label text-center">¡No se han encontrado botones creados en la zona!</p> -->
      <p class="search-topbar__results text-center">
        Parece que no hay botones aquí. Cambia tu búsqueda o crea tu botón para que alguien te contacte:
      </p>
      {{#if isSmallDevice}}
        {{#link-to 'button-net.buttons.new' 'new' class="" title="Create new button"}}
          <div class="card-btn card-btn--nosample card-btn--intercambio">
            <div class="card-btn__thumb">
              <div class="card-btn__author">
                <div class="card-btn__avatar">
                  {{svg-jar 'profile_def' class="default-avatar"}}
                </div>
                {{!-- END Picture avatar --}}
                <div class="card-btn__author-wrap">
                  <span class="card-btn__author-name">
                    <span>
                      Tu nombre
                    </span>
                  </span>
                  <span class="card-btn__state card-btn__state{{cardBtnType}}">
                    {{#if needsAndOffer}}
                      {{#if button.swap}}
                        <span class="card-button__status--busca">NECESITA</span> y <span class="card-button__status--ofrece">OFRECE</span>
                      {{else}}
                        <span class="card-button__status--ofrece">OFRECE</span> y <span class="card-button__status--busca">BUSCA</span>
                      {{/if}}
                    {{else}}
                      {{buttonIntention}}
                    {{/if}}
                  </span>
                </div>
              </div>
            </div>
            <div class="card-btn__content">
              <div class="card-btn__tags card-btn__tags--red">
                <div class="card-btn__link-tag">
                  #Qué necesitas
                </div>
              </div>
              <div class="card-btn__tags card-btn__tags--green">
                <div class="card-btn__link-tag">
                  #Qué ofreeces
                </div>
              </div>
              <div class="resume">
                <p>
                  Describe lo que necesitas y ofreces con el texto que quieras
                </p>
              </div>
            </div>
            <div class="card-btn__head">
              <div class="card-button__city-list card-button__everywhere col-auto" {{action 'toggleAttr' 'showMap'}}>
                En todas partes
              </div>
              <div class="card-btn__when">
                Ahora
              </div>
            </div>
          </div>
        {{/link-to}}
      {{else}}
        {{#link-to 'button-net.index.index.new-button' 'new' class="" title="Create new button"}}
          <div class="card-btn card-btn--nosample card-btn--intercambio">
            <div class="card-btn__thumb">
              <div class="card-btn__author">
                <div class="card-btn__avatar">
                  {{svg-jar 'profile_def' class="default-avatar"}}
                </div>
                {{!-- END Picture avatar --}}
                <div class="card-btn__author-wrap">
                  <span class="card-btn__author-name">
                    <span>
                      Tu nombre
                    </span>
                  </span>
                  <span class="card-btn__state card-btn__state{{cardBtnType}}">
                    {{#if needsAndOffer}}
                      {{#if button.swap}}
                        <span class="card-button__status--busca">NECESITA</span> y <span class="card-button__status--ofrece">OFRECE</span>
                      {{else}}
                        <span class="card-button__status--ofrece">OFRECE</span> y <span class="card-button__status--busca">BUSCA</span>
                      {{/if}}
                    {{else}}
                      {{buttonIntention}}
                    {{/if}}
                  </span>
                </div>
              </div>
            </div>
            <div class="card-btn__content">
              <div class="card-btn__tags card-btn__tags--red">
                <div class="card-btn__link-tag">
                  #Qué necesitas
                </div>
              </div>
              <div class="card-btn__tags card-btn__tags--green">
                <div class="card-btn__link-tag">
                  #Qué ofreeces
                </div>
              </div>
              <div class="resume">
                <p>
                  Describe lo que necesitas y ofreces con el texto que quieras
                </p>
              </div>
            </div>
            <div class="card-btn__head">
              <div class="card-button__city-list card-button__everywhere col-auto" {{action 'toggleAttr' 'showMap'}}>
                En todas partes
              </div>
              <div class="card-btn__when">
                Ahora
              </div>
            </div>
          </div>
        {{/link-to}}
      {{/if}}
    {{/each}}
  </div>
{{else}}
  <section class="search-map" style={{searchMapStyles}}>
    {{#leaflet-map
      bounds=bounds
      onLoad=(action "loadMap")
      onMoveend=(action "mapMoveEnd")
      onZoomend=(action "mapZoomEnd")
      zoomControl=false
      minZoom=minZoom
      maxZoom=18
      as |layers|
    }}
      {{tile-layer url="https://{s}.basemaps.cartocdn.com/light_all/{z}/{x}/{y}.png" attribution='&copy; <a href="https://www.openstreetmap.org/copyright">OpenStreetMap</a> contributors'}}
      {{#marker-cluster-layer iconCreateFunction=iconCreateFunction spiderfyDistanceMultiplier=2
        as |cluster|}}
        {{#each buttonsToShow as |button|}}
          {{#if button.active}}
            {{#marker-layer
              location=button.location
              onClick=(action 'markerClick' button false)
              icon=(div-icon
                html=(button-icon button button.creator.avatar)
                iconSize=(point 50 60) iconAnchor=(point 25 60)
              )
            }}
            {{/marker-layer}}
          {{else}}
            {{#marker-layer
              location=button.location
              onClick=(action 'markerClick' button false)
              icon=(div-icon
                html=(button-icon button button.creator.avatar 'grey')
                iconSize=(point 50 60) iconAnchor=(point 25 60)
              )
            }}
            {{/marker-layer}}
          {{/if}}
        {{/each}}

        {{!-- Show nets --}}
        {{!-- {{#each buttonNetsToShow as |buttonNet|}}
          {{#marker-layer
            location=buttonNet.location
            onClick=(action 'markerClick' buttonNet true)
            icon=(div-icon
              html=(button-icon buttonNet buttonNet.imgUrl 'net')
              iconSize=(point 50 60) iconAnchor=(point 25 60)
            )
          }}
          {{/marker-layer}}
        {{/each}} --}}
      {{/marker-cluster-layer}}
      {{#if showUserPosition}}
        {{circle-marker-layer location=userPosition}}
      {{/if}}
    {{/leaflet-map}}
    {{#if isSmallDevice}}
      {{#if zoomMax}}
        <div class="col-auto">
          {{#promise-button
            class=userMarkerClass
            btnAction=(action 'reduceZoom')
            hideContentOnLoading=true
          }}
           {{svg-jar "lense_reduce" class="icon"}}
          {{/promise-button}}
        </div>
      {{else}}
        <!-- {{#promise-button
          class=userMarkerClass
          btnAction=(action 'localizeUser')
          hideContentOnLoading=true
        }}
          {{svg-jar "center" class="icon"}}
        {{/promise-button}} -->
      {{/if}}
    {{else}}
      {{#unless haveButtons}}
        <div class="index-map__overlay">
          {{#link-to 'button-net.index.index.new-button' 'new' class="" title="Create new button"}}
            <figure class="button-icon index-map__overlay-message-icon button-icon--create">
              <img src='/assets/svg/icons/atta.svg' class="button-icon__image "/>
              <span class="button-icon__arrow"></span>
            </figure>
          {{/link-to}}
        </div>
      {{/unless}}
    {{/if}}
  </section>
{{/if}}
{{#if showModal}}
  {{#if selectedBtn}}
    {{#modal-dialog
      onClose=(action 'closeAction')
      onClickOverlay=(action 'closeAction')
      translucentOverlay=true
      animatable=true
      overlayClass="button-file__modal-overlay"
      containerClass=buttonFileClass
      targetAttachment='top'
    }}
      <p>
        Serás redirigido a una URL externa, ¿desea continuar?
      </p>
      <div class="row">
        <div class="col-6">
          <button {{action 'acceptMarkerClick' false }} type="button" name="button">Cancelar</button>
        </div>
        <div class="col-6">
          <button {{action 'acceptMarkerClick' true }} type="button" name="button">Aceptar</button>
        </div>
      </div>
    {{/modal-dialog}}
  {{/if}}
{{/if}}
{{#if isSmallDevice}}
  <div id="bottom-nav" class="row index__bottom-nav">
      <label class="index__profile">
        {{#unless session.isAuthenticated}}
          {{#link-to 'button-net.login' class="btn btn-link index-map__profile-icon" title="search"}}
            {{svg-jar "happy" class="icon index-map__profile"}}
          {{/link-to}}
        {{else}}
          {{#link-to 'button-net.profile' class="btn btn-link index-map__profile-icon logged" title="search"}}
            {{svg-jar "happy" class="icon index-map__profile"}}
          {{/link-to}}
          {{#if currentUser.hasNotifications}}
            <a href="" class="notif-circle menu-component__notif-circle">{{currentUser.notificationsNumber}}</a>
          {{/if}}
        {{/unless}}
      </label>
      <label class="index__create">
        {{#link-to 'button-net.buttons.new' "new" class="btn btn-link index-map__create-icon" title="new"}}
          {{svg-jar "atta" class="icon index-map__create"}}
        {{/link-to}}
      </label>
      <label class="index__toggle">
          <div class="index__toggle-env">
          <input id="toggle" class="checkbox" type="checkbox" value={{isList}} checked={{isList}} onchange={{action "toggleAction" isList}}>
            <span id="slider" class="slider round">{{svg-jar "place" class="icon index-map__map-icon"}}{{svg-jar "list_view" class="icon index-map__list-icon"}}</span>
          </div>
      </label>
    </div>
{{/if}}
{{outlet}}
